<div class="flex align-items-center justify-content-between gap-3 px-2 mb-2">
    <div>
        <p-avatar icon="pi pi-calendar-plus" size="large" shape="circle"
            styleClass="text-base bg-yellow-100 text-green-700"></p-avatar>
        <span class="text-xl ml-2">Order Oneday</span>
    </div>

    <div>
        <i pRipple class="pi pi-briefcase cursor-pointer card styled-box-purple p-2 focus:tw-outline-none focus:tw-ring focus:tw-ring-violet-300 hover:tw--translate-y-1 
        hover:tw-scale-110 tw-duration-200" style="color: slateblue" (click)="getProgressNote()"></i>

    </div>
</div>
<div class="border-round overflow-hidden surface-200 mb-2" style="height:.2rem">
    <div class="h-full bg-yellow-200 w-full"></div>
</div>



<div class="flex">
    <div class="flex tw-flex-col tw-w-full">
        <div class="flex ">
            <div class="w-full">
                <span class="p-fluid">
                    <p-autoComplete [(ngModel)]="selectedItems" [forceSelection]="true" [suggestions]="filteredItems"
                        (completeMethod)="filterItems($event)" field="name" placeholder="Items" autocomplete="off"
                        class=" p-inputtext-sm tw-h-3 tw-rounded-s"></p-autoComplete>
                </span>
            </div>
            <div class="w-14">
                <button pButton pRipple type="button" size="small" label=""
                    class="p-2 p-button-outlined bg-gray-100 tw-rounded-none tw-rounded-e border border-gray-400">
                    <i class="pi pi-times-circle cursor-pointer" style="line-height: 1.25;"
                        (click)="selectedItemsClear()"></i>
                </button>
            </div>
        </div>

        <div class="flex ">
            <div class="w-full">
                <span class="p-fluid">
                    <p-autoComplete [(ngModel)]="selectedUsage" [forceSelection]="true" [suggestions]="filteredUsage"
                        (completeMethod)="filterUsage($event)" field="name" placeholder="Usage"
                        class=" p-inputtext-sm tw-h-3 tw-rounded-s"></p-autoComplete>
                </span>
            </div>
            <div class="w-14">
                <button pButton pRipple type="button" size="small" label=""
                    class="p-2 p-button-outlined bg-gray-100 tw-rounded-none tw-rounded-e border border-gray-400">
                    <i class="pi pi-times-circle cursor-pointer" style="line-height: 1.25;"
                        (click)="selectedUsageClear()"></i>
                </button>
            </div>
        </div>
        <div class="flex ">
            <div class="w-full">
                <div class="p-inputgroup tw-rounded-none" >
             
                    <input type="text" id="quantity_order_oneday" pInputText [(ngModel)]="selectedQuantity" placeholder="Quantity" autocomplete="off"
                        class="p-inputtext-sm w-full tw-border tw-rounded-md text-sm">
                  
                        <button pButton pRipple type="button" size="small" label=""
                        class="p-2 p-button-outlined bg-gray-100 tw-rounded-none tw-rounded-e border border-gray-400">
                        <i class="pi pi-times-circle cursor-pointer" style="line-height: 1.25;"
                            (click)="selectedQuantityClear()"></i>
                    </button>
                </div>
            </div>
        
        </div>
  

        <div class="flex justify-content-center mt-1">
            <p-button styleClass="p-button-outlined p-2" size="small" (click)="saveOrderOneday()">
                <i class="pi pi-plus cursor-pointer text-sm" style="line-height: 1.25;"></i>
                <span class="ml-2 text-sm">เพิ่มรายการ</span>
            </p-button>
        </div>


        <div class="mt-2 p-1 flex w-max align-items-center bg-green-100 tw-rounded">
            <span
                class="bg-green-500 text-white text-xs flex align-items-center justify-content-center border-circle mr-2 p-1">
                <i class="pi pi-check text-xs"></i>
            </span>
            <span class="text-green-500 text-sm">รายการที่เพิ่ม</span>
        </div>

        <div class="flex align-items-center gap-2 flex-wrap mt-2">
            <p-chip *ngFor="let item of orderOndayValue" label="{{item.items.name}} # {{item.usage.name}} / {{item.quantity}}" [removable]="true"
                (onRemove)="removeOrderContinue(item.items)" class="text-sm"></p-chip>
        </div>
        <div class="mt-2 p-1 flex w-max align-items-center bg-blue-100 tw-rounded">
            <span class="bg-blue-500 text-white flex align-items-center justify-content-center border-circle mr-2 p-1">
                <i class="pi pi-book text-xs"></i>
            </span>
            <span class="text-blue-500 text-sm">Order Coutinue [ ก่อนหน้านี้ ]</span>
        </div>

        <div class="flex align-items-center gap-2 flex-wrap mt-2">
            <p-chip label="Action"></p-chip>
            <p-chip label="Comedy"></p-chip>
            <p-chip label="Mystery"></p-chip>
            <p-chip label="Thriller" [removable]="true" class="text-sm"></p-chip>
        </div>

    </div>
</div>